summaryrefslogtreecommitdiffstats
path: root/.gitlab/ci/docker/fedora41-hip/install_deps.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab/ci/docker/fedora41-hip/install_deps.sh')
-rwxr-xr-x.gitlab/ci/docker/fedora41-hip/install_deps.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.gitlab/ci/docker/fedora41-hip/install_deps.sh b/.gitlab/ci/docker/fedora41-hip/install_deps.sh
new file mode 100755
index 0000000..eedff9c
--- /dev/null
+++ b/.gitlab/ci/docker/fedora41-hip/install_deps.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+dnf install \
+ --setopt=install_weak_deps=False \
+ --setopt=fastestmirror=True \
+ --setopt=max_parallel_downloads=10 \
+ -y \
+ $(grep '^[^#]\+$' /root/deps_packages.lst)